<?php


return  
    [
        'model' => [
            'model' => \Pqc\Coin\Models\Master::class,
            'repository' => \Pqc\Coin\Repositories\Eloquent\MasterRepository::class,
            'table' => 'masters',
            'hidden'=> [],
            'visible' => [],
            'guarded' => ['*'],
            'slugs' => ['slug' => 'name'],
            'dates' => ['deleted_at', 'createdat', 'updated_at'],
            'appends' => [],
            'fillable' => ['name'],
            'translatables' => [],
            'upload_folder' => 'coin/master',
            'uploads' => [
            /*
                    'images' => [
                        'count' => 10,
                        'type'  => 'image',
                    ],
                    'file' => [
                        'count' => 1,
                        'type'  => 'file',
                    ],
            */
            ],

            'casts' => [
            /*
                'images'    => 'array',
                'file'      => 'array',
            */
            ],

            'revision' => [],
            'perPage' => '20',
            'search'        => [
                'name'  => 'like',
                'status',
            ]
        ],

        'search' => [
            
        ],

        'list' => [
            "name" => [
                "key" => "name", 
                "type" => "text", 
                "label" => 'coin::master.label.name', 
                'sort' => true,
                'roles' => [],
            ],
        ],

        'form' => [
            
        ],

        'urls' => [
            'new' => [
                'url' => 'coin/master/new',
                'method' => 'GET',
            ],
            'create' => [
                'url' => 'coin/master/create',
                'method' => 'GET',
            ],
            'store' => [
                'url' => 'coin/master',
                'method' => 'POST',
            ],
            'update' => [
                'url' => 'coin/master',
                'method' => 'PUT',
            ],
            'list' => [
                'url' => 'coin/master',
                'method' => 'GET',
            ],
            'delete' => [
                'url' => 'coin/master',
                'method' => 'DELETE',
            ],
        ],
        'order' => [
            'created_at' => 'coin::master.label.created_at',
            'name' => 'coin::master.label.name',
            'status' => 'coin::master.label.status',
        ],
        'groups' => [
            'main' => 'coin::master.groups.main',
            'details' => 'coin::master.groups.details',
            'images' => 'coin::master.groups.images',
            'settings' => 'coin::master.groups.settings',
        ],
        'controller' => [
            'provider' => 'Pqc',
            'package' => 'Coin',
            'module' => 'Master',
        ],
    ];
